aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xconfig/hooks/disable-services.sh.chroot9
-rw-r--r--config/includes.chroot/etc/default/tor2
2 files changed, 10 insertions, 1 deletions
diff --git a/config/hooks/disable-services.sh.chroot b/config/hooks/disable-services.sh.chroot
new file mode 100755
index 0000000..c9cee1e
--- /dev/null
+++ b/config/hooks/disable-services.sh.chroot
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+echo "Disabling network services (they get run by network scripts)"
+update-rc.d tor disable
+update-rc.d dnsmasq disable
+update-rc.d ttdnsd disable
+
diff --git a/config/includes.chroot/etc/default/tor b/config/includes.chroot/etc/default/tor
index 44ddf15..68c0634 100644
--- a/config/includes.chroot/etc/default/tor
+++ b/config/includes.chroot/etc/default/tor
@@ -5,7 +5,7 @@
#
# This is a bash shell fragment
#
-RUN_DAEMON="no"
+RUN_DAEMON="yes"
#
# Servers sometimes may need more than the default 1024 file descriptors